﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ArduinoTalker
{
    public partial class frmArduinoSketchCode : Form
    {
        #region Field(s)
        private string ARDUINOCODE_FILENAME = "SketchCode.txt";
        #endregion

        public frmArduinoSketchCode()
        {
            InitializeComponent();
        }

        private void frmArduinoSketchCode_Load(object sender, EventArgs e)
        {
            initForm();
        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void initForm()
        {
            string FileContent = string.Empty;
            if (File.Exists(ARDUINOCODE_FILENAME))
                richTextBoxSketchCode.Text = File.ReadAllText(ARDUINOCODE_FILENAME);
            else
                richTextBoxSketchCode.Text = "ArduinoCode-File: \"" + ARDUINOCODE_FILENAME + "\" doesn't exist!";
        }

        private void richTextBoxSketchCode_KeyPress(object sender, KeyPressEventArgs e)
        {
            e.Handled = true;
        }

        private void btnCopy_Click(object sender, EventArgs e)
        {
            try
            {
                Clipboard.SetText(richTextBoxSketchCode.Text);
                MessageBox.Show("Sketch-Code copied to clipboard", "Info", MessageBoxButtons.OK, MessageBoxIcon.Information);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
